<?php 

//default image dir
$image_dir = TEMPLATE_DIR.'/page-pics-named';
$read_more = 'read more..';



$show_page_ids = '2,3,4,5,6,7,8,9,10'; //default dummy fallback

//search for the images. must be (exactly!) .jpg
$image_path = str_replace(WB_URL, WB_PATH, $image_dir);
$files = glob($image_path."/*.jpg"); 
$thepics = array();
if ( is_array ( $files ) ) { 
   foreach ( $files as $filename) { 
  	 	$pic = basename($filename);
  		$thepics[] = $pic;
   } 
}
natcasesort($thepics);
$picscount = count($thepics);

//Method 2: get Information from File-Names:
$picdata = array(); $show_page_ids_arr = array(); $method2 = false;

if ( count($thepics) > 3 ) { 	
	foreach ( $thepics as $pic ) { 
		
		$pd = explode('-', str_replace('.jpg','',$pic));
		if ( count($pd) > 1 ) { 
			//echo '<h1>'.$pic.'</h1>';
			$pid = (int) $pd[1];
			if ($pid > 0) {
				array_shift($pd); // remove sorter
				array_shift($pd); // remove page_id
				$pn = implode(' ', $pd);
				$pn = str_replace('.jpg','',$pn);
				$picdata[$pid] = array($pic, $pn);
				$show_page_ids_arr[] = $pid;				
			}
		}  
	}

	if ( count($show_page_ids_arr) > 3 ) { 
		$show_page_ids = implode(',', $show_page_ids_arr);
		$method2 = true;	
	} else {
		echo '<h2>Please read the readme.txt for this template!</h2>';
	}
}




$theq = "SELECT * FROM `".TABLE_PREFIX."pages` WHERE page_id IN (".$show_page_ids.") ORDER BY FIND_IN_SET(page_id, '".$show_page_ids."' )" ;
//echo $theq;
$query_pages = $database->query($theq);
if($query_pages->numRows() < 4) { return 'no pages found!'; }

$outp = ''; $outpm = ''; $i = 0;
while($page = $query_pages->fetchRow()) {	
	
	$link= WB_URL.PAGES_DIRECTORY.$page['link'].PAGE_EXTENSION;
	
	$title = $page['page_title'];
	$pid = $page['page_id'];
	$description = $page['description'];
	if ( $description == '') {
		$description = 'Edit the Description of this page';
	}
	
	$pic = $thepics[$i]; $titlealt='';
	if ( $method2) {$pic = $picdata[$pid][0]; $titlealt = $picdata[$pid][1];}
	
	//Start output:
	$outp .= '<li><div class="hpanel"><img class="panelpic" src="'.$image_dir.'/'.$pic .'" title="'.$titlealt.'" alt="'.$titlealt.'" /><h2>'.$title.'</h2>'.$description.'<br /><a href="'.$link.'">'.$read_more.'</a></div></li>';
	$outpm .= '<a href="'.$link.'"><img class="panelpic" src="'.$image_dir.'/'.$pic .'" title="'.$titlealt.'" alt=""/><b>'.$title.'</b>'.$description.'</a>';
	
	if ($i >= $picscount) {break;} else {$i++;}
	
} //end while

?>

<script type="text/javascript" src="<?php echo TEMPLATE_DIR; ?>/accordion/haccordion.js">
/*
Horizontal Accordion script- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
This notice MUST stay intact for legal use
Visit Dynamic Drive at http://www.dynamicdrive.com/ for this script and 100s more
*/
</script>



<div id="haccordion1" class="haccordion"><ul>
<?php echo $outp; ?>
</ul></div>


<script type="text/javascript">

function resize_haccordion() {
	var wwall = $('#haccordion1').width();	
	var pics = <?php echo $i -1; ?>; // -1 because one is wider
	var fw = wwall/2.1; 
	if (fw < 450) {fw = 450;}	
	var r = wwall-fw;
	var pw = Math.floor(r/pics)+5;
	fw = wwall-(pw*pics); //Rundungsfehler nachrechnen
	fw = fw + 'px'; pw = (pw-5) + 'px';
	
	haccordion.setup({
		accordionid: 'haccordion1', //main accordion div id
		paneldimensions: {peekw:pw, fullw:fw, h:'200px'},
		selectedli: [0, true], //[selectedli_index, persiststate_bool]
		collapsecurrent: false //<- No comma following very last setting!
	})

}

resize_haccordion();

$( window ).resize(function() {
/* Wie funktioniert das?:
	console.log( 'resize');
	haccordion = 0;
	resize_haccordion();
	*/
});
</script>

<div id="mobile_accordion">
<?php echo $outpm; ?>
<div style="clear:both"></div>
</div>