<?php
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

//See accordion/accordion.inc.php for some settings




$isfrontpage = false;
if ( !isset($page_id) ) { $isfrontpage = true; } 
if ( isset($template_id) AND $page_id==4) { $isfrontpage = true; } // wbce.at presentation, you can delete this line

?>
<!DOCTYPE html>
<html lang="<?php echo strtolower(LANGUAGE); ?>">
<head>
<?php if(function_exists('simplepagehead')) {
	simplepagehead(); 
} else { ?>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<?php } 

if(function_exists('register_frontend_modfiles')) {
	register_frontend_modfiles('css');
	register_frontend_modfiles('jquery');
	register_frontend_modfiles('js');
} ?>
<link href="<?php echo TEMPLATE_DIR; ?>/editor.css" rel="stylesheet" type="text/css" />
<link href="<?php echo TEMPLATE_DIR; ?>/template.css" rel="stylesheet" type="text/css" />
<meta name="viewport" content="width=device-width, initial-scale=1">


<script type="text/javascript" src="<?php echo TEMPLATE_DIR;?>/template.js"></script>

<?php 
$topmenu_extra ='<li class="search_box_li" style="" ><a href="'.WB_URL.'/search/"><span><img style="height:16px"  src="'.TEMPLATE_DIR.'/img/search.png" alt="Search" /></span></a></li>';


ob_start(); 
show_menu2(1, SM2_ROOT, SM2_ALL, SM2_ALL, '<li class="lev[level]  [class]"><a href="[url]" class="pid[page_id] [class]"><span>[menu_title]</span></a>', "</li>", '<ul>', "</ul>", true, '<ul id="header_menu" class="menu">');
$topmenu = ob_get_contents();
ob_end_clean();
//Bloede Konstruktion:
$topmenu = str_replace('</ul>X_X',$topmenu_extra.'</ul>', $topmenu.'X_X' );

	
ob_start(); 	
page_content(1);
$page_content1 = ob_get_contents();
ob_end_clean();				

if(defined('TOPIC_BLOCK2') AND TOPIC_BLOCK2 != '') { 
		$page_content2 = TOPIC_BLOCK2; 
} else {
	ob_start();
	page_content(2);
	$page_content2 = ob_get_contents();
	ob_end_clean();
}

ob_start(); 	
page_content(3);
$page_content3 = ob_get_contents();
ob_end_clean();

ob_start(); 	
page_content(4);
$page_content4 = ob_get_contents();
ob_end_clean();

ob_start(); 	
page_content(10);
$page_content10 = ob_get_contents();
ob_end_clean();

if(defined('OG_IMAGE') AND OG_IMAGE != '') { 	echo '
	<meta property="og:image" content="'.OG_IMAGE.'"/>
';}


?>


</head>
<body class="body<?php echo $page_id; if ($isfrontpage == true) { echo ' frontpage'; } if ($page_content3 != '') { echo ' hascontent3'; } ?>">
<a id="top"></a><div style="display:none;"><a href="#beginContent">skip to content</a></div>
<div class="wrapper">
<?php 
if ($page_content10 == '') {
	echo '<div role="banner" class="topspacer"><div class="wrap_inner">';
	include 'accordion/accordion.inc.php'; 
} else {
	echo '<div role="banner" class="topslider"><div class="wrap_inner">';
	echo $page_content10;
}
?></div></div>

	<div class="contentbox wrap_inner">
	<?php if ($page_content3 != '') {echo '<div class="top_content">'.$page_content3.'</div><div style="clear:both;"></div>';} else {echo '<div id="topheaderbox"></div>';} ?>
	
	<div class="container">	
	<div class="breadcrumbs"><div class="innerbc">		
		<?php 	
		if (LEVEL > 2) {
			show_menu2(1, SM2_ROOT, SM2_ALL, SM2_CRUMB, '<span class="[class]">[a][menu_title]</a></span>', '', '', '', '<b>...</b><span class="[class]">[a][menu_title]</a></span>'); 
		} else {	
			show_menu2(1, SM2_ROOT, SM2_ALL, SM2_CRUMB, '<span class="[class]">[a][menu_title]</a></span>', '', '', '', '<b>Sie sind hier: </b> <span class="[class]">[a][menu_title]</a></span>'); 
		}		
		?></div><div style="clear:both;"></div></div><!-- end breadcrumbs -->		
		<div id="beginContent" class="mainbox">			
			<?php
			if ($page_content2 == '') {
				echo '<div role="main" class="content contentwide">'.$page_content1.'</div>';
			} else {
				echo '<div role="main" class="content contentnarrow">'.$page_content1.'</div>
				<div id="rightbox" class="rightbox"><div role="complementary" class="inner">'.$page_content2.'</div><div style="clear:left; height:1px;"></div></div><!-- end rightbox -->';
			}						
			?>
	
	</div><!-- end mainbox --><div class="clearcontent"></div>
	</div><!-- end container -->
	<?php if ($page_content4 != '') {echo '<div class="bottom_content">'.$page_content4.'</div><div class="clearcontent"></div>';} ?>
</div><!-- end contentbox -->
<div class="footerbox">
	<a id="gototopswitch" href="#" onclick="gototop();return false;"><img src="<?php echo TEMPLATE_DIR;?>/img/up.png" alt="Up" title="Go to top"></a>
	<div class="left">
	<?php if(FRONTEND_LOGIN) { include('login.inc.php'); } ?><!--LOGIN_URL, LOGOUT_URL,FORGOT_URL-->
	<?php 			
	if ($wb->is_authenticated() ) { 
		$user_id = (int) $wb->get_user_id();	 
		if ($user_id === 1) {echo '<div id="editthis"><a href="'.ADMIN_URL.'/pages/modify.php?page_id='.$page_id.'">Edit</a></div>'; }					
	}  
	?>
	
	
	&nbsp; <?php if ($page_id > 10 AND $page_id % 5 == 0) {echo 'Base Design by <a href="http://webdesign-grafik.at/templateinfo.php target="_blank">beesign wien</a>'; } ?>
	</div><!-- End Left -->
	
	<div role="contentinfo" class="center">
	
	<?php page_footer(); ?>
	</div><!-- End center -->
	
	</div><!-- end footerbox -->

</div><!-- end wrapper -->
<a aria-hidden="true" href="#" id="nav2close" class="toggleMenu"><span style="display:none;">Close Menu</span></a><div aria-hidden="true" id="nav2"></div>

<div id="topmenubox"><div class="wrap_inner">
	<a class="logo" href="<?php echo WB_URL; ?>"><img src="<?php echo TEMPLATE_DIR; ?>/img/logo.png" alt="<?php echo WEBSITE_TITLE; ?>" /></a><!-- end logo-->		
	<div role="navigation" id="nav"><?php echo $topmenu;?><br style="clear:left;"/></div><!-- end nav -->
	<a aria-hidden="true" class="toggleMenu" href="#"><span style="display:none;">Mobile Menu</span></a>
	<a aria-hidden="true" class="togglePics" href="#"><span style="display:none;">Mobile Pics</span></a>
</div></div><!-- end topmenubox -->
	

<?php if (function_exists('register_frontend_modfiles_body')) { register_frontend_modfiles_body(); }

if ($isfrontpage == true) { 
echo '
<script>
$( document ).ready(function() {
	//checkscrolled();
})
</script>
';

}
?>
</body>
</html>